| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
ProfileTreeView Class Reference

Tree view specialised for displaying and editing configuration profiles, with inline editing support and selection-change notifications. More...

`#include <profile_tree_view.h>`

Inheritance diagram for ProfileTreeView:

## Signals
void | itemUpdated ()
| Emitted when a profile item has been modified through the inline editor.

## Public Member Functions
| ProfileTreeView (QWidget *parent=nullptr)
| Constructs a ProfileTreeView.
| ~ProfileTreeView ()
| Destroys the view and releases the associated delegate.
void | selectRow (int row)
| Selects the row at `row` in the view, scrolling it into view if necessary.
bool | activeEdit ()
| Returns whether an inline edit is currently active in the view.

## Protected Slots
virtual void | selectionChanged (const QItemSelection &selected, const QItemSelection &deselected) override
| Responds to selection changes, updating UI state and emitting `itemUpdated()` when appropriate.

## Protected Member Functions
virtual void | showEvent (QShowEvent *) override
| Restores the previously selected row when the view becomes visible.
virtual void | mouseDoubleClickEvent (QMouseEvent *event) override
| Opens an inline editor for the double-clicked cell when the profile is editable; otherwise propagates the event.

## Detailed Description

Tree view specialised for displaying and editing configuration profiles, with inline editing support and selection-change notifications.

## Constructor & Destructor Documentation

## ◆ ProfileTreeView()

ProfileTreeView::ProfileTreeView | ( | QWidget * | parent = nullptr | ) |

Constructs a ProfileTreeView.

Parameters

  parent | Optional parent widget.

## Member Function Documentation

## ◆ activeEdit()

bool ProfileTreeView::activeEdit | ( |  | ) |

Returns whether an inline edit is currently active in the view.

Returns
  `true` if a cell editor is open.

## ◆ mouseDoubleClickEvent()

void ProfileTreeView::mouseDoubleClickEvent | ( | QMouseEvent * | event | ) |
| override protected virtual

Opens an inline editor for the double-clicked cell when the profile is editable; otherwise propagates the event.

Parameters

  event | The mouse double-click event.

## ◆ selectionChanged

void ProfileTreeView::selectionChanged | ( | const QItemSelection & | selected,
|  | const QItemSelection & | deselected )
| override protected virtual slot

Responds to selection changes, updating UI state and emitting `itemUpdated()` when appropriate.

Parameters

  selected | Newly selected items.
  deselected | Previously selected items that are now deselected.

## ◆ selectRow()

void ProfileTreeView::selectRow | ( | int | row | ) |

Selects the row at `row` in the view, scrolling it into view if necessary.

Parameters

  row | Zero-based row index to select.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/profile_tree_view.h
- /builds/wireshark/wireshark/ui/qt/widgets/profile_tree_view.cpp